<%@ page contentType="text/html;charset=UTF-8" language="java"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<!DOCTYPE HTML>
<html>
<head>
<title id="pageTitle">上海复星星泰医药科技有限公司</title>
<meta name="renderer" content="webkit"/>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="format-detection" content="telephone=no" />
<meta name="apple-mobile-web-app-capable" content="yes" />
<meta name="apple-mobile-web-app-status-bar-style" content="black" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=1.0 user-scalable=no"/>
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/axingtai/css/common.css"/>
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/axingtai/css/contact.css"/>
<link type="text/css" rel="stylesheet" href="${pageContext.request.contextPath}/axingtai/css/wap.css"/>
<script type="text/javascript" src="${pageContext.request.contextPath}/axingtai/js/config.js"></script>
<script type="text/javascript" src="${pageContext.request.contextPath}/axingtai/js/jquery.min.js"></script>
<script type="text/javascript" src="http://api.map.baidu.com/api?key=&v=1.1&services=true"></script>
    <script type="text/javascript" src="${pageContext.request.contextPath}/static/admin/js/layer.js"></script>
</head>

<body style="background:#ffffff;">
    <div class="header">
        <jsp:include page='<%="/newshead.html"%>'></jsp:include>
    </div>


<script type="text/javascript">
$(function(){
	var exptopfixed=$(".exp_fixed").offset().top;

    $(".havelevel").hover(function(){
            $(this).children(".levelson").addClass('cur');
            $(this).children(".down_level").stop().slideDown();
            
        },function(){
            $(this).children(".levelson").removeClass('cur');
            $(this).children(".down_level").stop().slideUp();
            Fixed();

        })
	
    $(window).scroll(function(){	
		Fixed()
    });
	
function Fixed(){
	var top = $(document).scrollTop();        
	 //console.log(top+',,'+exptopfixed);
	if(top>=79){
		  $(".top").addClass("top_jl");
          $(".down_level").css("top","70px");
		  }
		  else{
			  $(".top").removeClass("top_jl");
            $(".down_level").css("top","110px");
			  }
	      }

    	$(".wapmenu").click(function(){
    			$(".menucon").show(500);
    			})
    	$(".close").click(function(){
    		$(".menucon").hide(500);
    		})		
	
})
</script>

<div class="nrbanner contact_banner">
    <div class="nrbannercon">
        <p class="banner_tit">联系我们</p>
        <p class="banner_des">Contact us</p>
    </div>
</div>


<div class="main clearfix">
    <div class="contes clearfix">
        <div class="contes_lef contactcon">
            <p class="contes_lef_til clearfix">无论您是想咨询信息，解决问题，或者是对我们的服务提出建议，
    您都可以用多种方式联系我们。我们会尽我们所能为您服务！</p>
            <p class="p_tit mt15 mb20 f16">${corporate.name}</p>
            <p class="mt10 clearfix"><i class="icon_contact_11 fl"></i><span class="fl">${corporate.shotilne}</span></p>
            <p class="mt10 clearfix"><i class="icon_contact_22 fl"></i><span class="fl">${corporate.shotilne}</span></p>
            <p class="mt10 clearfix"><i class="icon_contact_44 fl"></i><span class="fl">${corporate.email}</span></p>
            <p class="mt10 clearfix"><i class="icon_contact_33 fl"></i><span class="fl">${corporate.caddress}</span></p>
            <div class="contes_imwe">
                <div class="erweima"><img src="${foots.wechatqrcode}" alt=""></div>
                <div class="contes_imwe_con">
                    <p>更多资讯扫一扫</p>
                    <p>关注星泰医药微信公众号</p>
                </div>
            </div>
        </div>
        <form class="form form-horizontal" id="form-article-add" action="contact-submit.html" method="post" enctype="multipart/form-data">
        <div class="contes_reg">
            <p class="cont_mesinput clearfix">
                <input name="name" type="text" placeholder="姓名">
                <input name="phone" type="text" placeholder="手机号码">
            </p>
            <p class="cont_mesinput clearfix">
                <input class="gs_name" name="companyname" type="text" placeholder="公司名称">
            </p>

            <p class="cont_mesinput clearfix">
                <select class="select_list" name="fpid" id="">
                    <c:forEach items="${cclassify}" var="cclassify">
                        <option value="${cclassify.id}">${cclassify.name}</option>
                    </c:forEach>
                </select>
            </p>
            <p class="cont_mesteart clearfix">
                <textarea name="massage" cols="" rows="" placeholder="留言"></textarea>
            </p>
            <button type="submit" id="ppt" class="cont_mesbtnck">提交</button>
          <%--  <a class="cont_mesbtnck">提  交</a>--%>
        </div>
        </form>
    </div>
</div>
    <div class="contactmap" style="" id="dituContent"></div>
</div>
    <jsp:include page='<%="/footer.html"%>'></jsp:include>
<!-----------------footer ------------------>--%>
<script type="text/javascript">
    //创建和初始化地图函数：
    function initMap(){
        createMap();//创建地图
        setMapEvent();//设置地图事件
        addMapControl();//向地图添加控件
        addMarker();//向地图中添加marker
    }
    
    //创建地图函数：
    function createMap(){
        var map = new BMap.Map("dituContent");//在百度地图容器中创建一个地图
        var point = new BMap.Point(121.628415,31.200366);//定义一个中心点坐标
        map.centerAndZoom(point,17);//设定地图的中心点和坐标并将地图显示在地图容器中
        window.map = map;//将map变量存储在全局
    }
    
    //地图事件设置函数：
    function setMapEvent(){
        map.enableDragging();//启用地图拖拽事件，默认启用(可不写)
        map.enableScrollWheelZoom();//启用地图滚轮放大缩小
        map.enableDoubleClickZoom();//启用鼠标双击放大，默认启用(可不写)
        map.enableKeyboard();//启用键盘上下左右键移动地图
    }
    
    //地图控件添加函数：
    function addMapControl(){
                        }
    
    //标注点数组
    var markerArr = [{title:"上海复星星泰医药科技有限公司",content:"上海市浦东新区张江镇华盛科技园张衡路1999号7号楼",point:"121.628334|31.200165",isOpen:1,icon:{w:23,h:25,l:23,t:21,x:9,lb:12}}
         ];
    //创建marker
    function addMarker(){
        for(var i=0;i<markerArr.length;i++){
            var json = markerArr[i];
            var p0 = json.point.split("|")[0];
            var p1 = json.point.split("|")[1];
            var point = new BMap.Point(p0,p1);
            var iconImg = createIcon(json.icon);
            var marker = new BMap.Marker(point,{icon:iconImg});
            var iw = createInfoWindow(i);
            var label = new BMap.Label(json.title,{"offset":new BMap.Size(json.icon.lb-json.icon.x+10,-20)});
            marker.setLabel(label);
            map.addOverlay(marker);
            label.setStyle({
                        borderColor:"#808080",
                        color:"#333",
                        cursor:"pointer"
            });
            
            (function(){
                var index = i;
                var _iw = createInfoWindow(i);
                var _marker = marker;
                _marker.addEventListener("click",function(){
                    this.openInfoWindow(_iw);
                });
                _iw.addEventListener("open",function(){
                    _marker.getLabel().hide();
                })
                _iw.addEventListener("close",function(){
                    _marker.getLabel().show();
                })
                label.addEventListener("click",function(){
                    _marker.openInfoWindow(_iw);
                })
                if(!!json.isOpen){
                    label.hide();
                    _marker.openInfoWindow(_iw);
                }
            })()
        }
    }
    //创建InfoWindow
    function createInfoWindow(i){
        var json = markerArr[i];
        var iw = new BMap.InfoWindow("<b class='iw_poi_title' title='" + json.title + "'>" + json.title + "</b><div class='iw_poi_content'>"+json.content+"</div>");
        return iw;
    }
    //创建一个Icon
    function createIcon(json){
        var icon = new BMap.Icon("http://app.baidu.com/map/images/us_mk_icon.png", new BMap.Size(json.w,json.h),{imageOffset: new BMap.Size(-json.l,-json.t),infoWindowOffset:new BMap.Size(json.lb+5,1),offset:new BMap.Size(json.x,json.h)})
        return icon;
    }
    
    initMap();//创建和初始化地图

    $("#ppt").click(function () {
        alert("提交成功，感谢您的留言");
    })
</script>

</body>
</html>